Subject: Re: bug#40278: 27.0.90; Flickering in Windows 10

From: Nicolas Bértolo <[email-masked]>
Date: Sun, 29 Mar 2020 17:58:51 -0300

> I don't see it.

I have found that creating a child frame causes it to flicker a lot more.
Here is a video that shows what happens https://youtu.be/BsUqPpyAvVQ

To reproduce it:
1) Start runemacs -Q
2) Open a big C/C++ file (I used dispextern.h from emacs)
3) Run this code to create the child frame (in the scratch buffer)

(defun open-test ()
  (display-buffer-in-child-frame (get-buffer-create "test child-frame")
                   '((child-frame-parameters . ((width . 20)
                                                            (height . 10)
                                                            (top . 200)
                                                            (left . 100))))))
4) In the C/C++ buffer eval (open-test)
5) Scroll with the mouse wheel up and down.

I don't know if this is the same bug or if it's related.

El dom., 29 mar. 2020 a las 14:25, Eli Zaretskii (<[email-masked]>) escribió:
>
> > Date: Sun, 29 Mar 2020 13:11:20 -0300
> > From: Nicolas Bertolo <[email-masked]>
> > Bcc: <[email-masked]>
> >
> > 1) Open a long C++ file.
> >
> > 2) Run (setq mouse-wheel-scroll-amount '(1)).
> >
> > 3) Mouse the mouse whell up and down fast.
> >
> > 4) Pay attention to the part of the screen that should show new content.
> >
> > Sometimes it will flicker a few time before stabilizing.
>
> I don't see it.